## org.eclipse.ocl.expressions
Interface StateExp<C,S>

All Superinterfaces:
  ASTNode, EObject, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  StateExp, StateExp

All Known Implementing Classes:
  StateExpImpl, StateExpImpl, StateExpImpl

    public interface StateExp<C,S>

extends OCLExpression<C>

A representation of the model object 'State Exp'.

The following features are supported:

- `Referred State`

See Also:
  `ExpressionsPackage.getStateExp()`

Method Summary
`S` `getReferredState()` Returns the value of the 'Referred State' reference
`void` `setReferredState(S value)` Sets the value of the '`Referred State`' reference

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReferredState

    S getReferredState()

  Returns the value of the 'Referred State' reference.

  If the meaning of the 'Referred State' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referred State' reference.
  See Also:
    `setReferredState(Object)`, `ExpressionsPackage.getStateExp_ReferredState()`

### setReferredState

    void setReferredState(S value)

  Sets the value of the '`Referred State`' reference.

  Parameters:
    `value` - the new value of the 'Referred State' reference.
  See Also:
    `getReferredState()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.